TONTONDocs
TON CenterAPI referenceLegacy (v2)

Estimate fee

Estimate the fees required to process a query.

POST
/api/v3/estimateFee
*object

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v3/estimateFee" \  -H "Content-Type: application/json" \  -d '{    "address": "EQAPgRDXZBQAWp8KfetNFZOLHNjbIt8_Fg7VtIM3c1q7YtHM",    "body": "te6cckEBBAEAkQABoXNpZ25///8R/////wAAAAGAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAECCg7DyG0CAgMAAABgQgAHwIhrsgoALU+FPvWmisnFjmxtkW+fiwdq2kGbua1dsQAAAAAAAAAAAAAAAAAASigcDQ==",    "ignore_chksig": true  }'
{
  "destination_fees": [
    {
      "fwd_fee": 0,
      "gas_fee": 0,
      "in_fwd_fee": 0,
      "storage_fee": 0
    }
  ],
  "source_fees": {
    "fwd_fee": 0,
    "gas_fee": 0,
    "in_fwd_fee": 0,
    "storage_fee": 0
  }
}
{
  "code": 0,
  "error": "string"
}

Last updated on

On this page

No Headings